#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class Worker;
class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    MainWindow(Worker *worker, QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void onStartClicked();
    void onExitClicked();

private:
    Ui::MainWindow *ui;
    Worker *m_worker;
};
#endif // MAINWINDOW_H
